Package: org.codehaus.groovy.transform

## [Java] Class NullCheckASTTransformation

- org.codehaus.groovy.transform.NullCheckASTTransformation

-     @GroovyASTTransformation(phase = CompilePhase.INSTRUCTION_SELECTION)
      public class NullCheckASTTransformation
      extends AbstractASTTransformation

  Handles generation of code for the

  NullCheck:
    annotation.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static ClassNode` | `NULL_CHECK_TYPE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractASTTransformation` | `RETENTION_CLASSNODE, sourceUnit`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static boolean` | `hasIncludeGenerated(ClassNode cNode)`
    `` | `static ThrowStatement` | `makeThrowStmt(String name)`
    `` | `static void` | `markAsProcessed(MethodNode mn)` Mark a method as already processed.
    `` | `void` | `visit(ASTNode[] nodes, SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractASTTransformation` | `addError, checkIncludeExclude, checkIncludeExclude, checkIncludeExcludeUndefinedAware, checkIncludeExcludeUndefinedAware, checkNotInterface, checkPropertyList, checkPropertyList, checkPropertyList, copyAnnotatedNodeAnnotations, copyAnnotatedNodeAnnotations, deemedInternalName, getAnnotationName, getClassList, getMemberClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberList, getMemberStringList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, init, memberHasValue, nonGeneric, shouldSkip, shouldSkip, shouldSkipOnDescriptor, shouldSkipOnDescriptorUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, tokenize`

- - ### Field Detail

    - #### public static final ClassNode NULL_CHECK_TYPE

  - ### Method Detail

    - #### public static boolean hasIncludeGenerated(ClassNode cNode)

    - #### public static ThrowStatement makeThrowStmt(String name)

    - #### public static void markAsProcessed(MethodNode mn)

      Mark a method as already processed.

      Parameters:
        `mn` - the method node to be considered already processed

    - #### @Override public void visit(ASTNode[] nodes, SourceUnit source)